### Method

# EDataServer SoupSession send_message

since: 3.46

#### Declaration [src]

    void
    e_soup_session_send_message (
      ESoupSession* session,
      SoupMessage* message,
      gint io_priority,
      gpointer prepare_data,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Asynchronously sends the `message`. Finish the call with e_soup_session_send_message_finish().

The `prepare_data` is a result of the `e_soup_session_prepare_message_send_sync()` and this function assumes ownership of it. The `prepare_data` cannot be used again after this call.

Available since: 3.46

This method completes asynchronously. Use `e_soup_session_send_message_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`message`

  Type: `SoupMessage`

  A `SoupMessage` to send.

  The data is owned by the caller of the method.

`io_priority`

  Type: `gint`

  The I/O priority of the request, like `G_PRIORITY_DEFAULT`.

`prepare_data`

  Type: `gpointer`

  Data returned from e_soup_session_prepare_message_send_sync().

  The argument can be `NULL`.
  The instance takes ownership of the data, and is responsible for freeing it.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  The callback to invoke once the request is finished.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  User data for `callback`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.